# MiTM Instructions
This should work on anything, not just the e-Shop.
1. Get NoSSL IPS patch, either through dumping the SSL system module and patching it, or by [retrieving a pre-made one.](https://github.com/PretendoNetwork/mitmproxy-nintendo/raw/refs/heads/master/ssl-patches/0004013000002F02.ips)
2. Copy the previously-retrieved patch to ``/luma/sysmodules/0004013000002F02.ips`` on your 3ds' SD card
3. Set up some kind of proxy (e.g. [mitmproxy](https://mitmproxy.org/)) and use the following settings/variables:
	* `client_certs`: path to CTR cert (can be downloaded [here](https://github.com/PretendoNetwork/mitmproxy-nintendo/raw/refs/heads/master/client-certificates/CTR-common.pem))
	* `tls_version_client_min: UNBOUNDED`
	* `ssl_insecure: true`
 4. Configure your 3DS to use mitmproxy's HTTP(S) proxy.
	 * IP: private IPv4 address of proxy host.
	 * Port: 8080
5. Start capturing! If you prefer a web interface instead, use mitmweb which is shipped with mitmproxy.